NeuralEngine A Game Engine with embeded Machine Learning algorithms based on Gaussian Processes. |

Static Public Member Functions | Static Private Member Functions | List of all members
NeuralEngine::MachineLearning::AfCv Class Reference

ArrayFire OpenCV conversation. More...

`#include <FgAfCv.h>`

## Static Public Member Functions
static void | MatToArray (const std::vector< cv::Mat > &input, af::array &output)
| Matrix to array. More...
static af::array | MatToArray (const cv::Mat &input)
| Matrix to array. More...
static void | ArrayToMat (const af::array &input_, cv::Mat &output, int type=CV_32F)
| Array to matrix. More...
static cv::Mat | ArrayToMat (const af::array &input, int type=CV_32F)
| Array to matrix. More...

## Static Private Member Functions
static void | MatToArray (const cv::Mat &input, af::array &output)
| Matrix to array. More...
static std::string | get_mat_type (int input)
static std::string | get_mat_type (const cv::Mat &input)

## Detailed Description

ArrayFire OpenCV conversation.

<note> Converts ArrayFire matrix to OpenCV matrix and vice vesa. </note>

Hmetal T, 07.03.2017.

Definition at line 35 of file FgAfCv.h.

## Member Function Documentation

## ◆ MatToArray() [1/3]

static void NeuralEngine::MachineLearning::AfCv::MatToArray | ( | const std::vector< cv::Mat > & | input,
|  | af::array & | output
| ) |  |
| static

Matrix to array.

Hmetal T, 07.03.2017.

Parameters

  input | The input.
  output | [in,out] The output.
  transpose | (Optional) true to transpose.

## ◆ MatToArray() [2/3]

static af::array NeuralEngine::MachineLearning::AfCv::MatToArray | ( | const cv::Mat & | input | ) |
| static

Matrix to array.

Hmetal T, 07.03.2017.

Parameters

  input | The input.
  transpose | (Optional) true to transpose.

Returns
  An af::array.

## ◆ ArrayToMat() [1/2]

static void NeuralEngine::MachineLearning::AfCv::ArrayToMat | ( | const af::array & | input_,
|  | cv::Mat & | output,
|  | int | type = `CV_32F`
| ) |  |
| static

Array to matrix.

Hmetal T, 07.03.2017.

Parameters

  input | The input.
  output | [in,out] The output.
  type | (Optional) the type.
  transpose | (Optional) true to transpose.

## ◆ ArrayToMat() [2/2]

static cv::Mat NeuralEngine::MachineLearning::AfCv::ArrayToMat | ( | const af::array & | input,
|  | int | type = `CV_32F`
| ) |  |
| static

Array to matrix.

Hmetal T, 07.03.2017.

Parameters

  input | The input.
  type | (Optional) the type.
  transpose | (Optional) true to transpose.

Returns
  A Mat.

## ◆ MatToArray() [3/3]

static void NeuralEngine::MachineLearning::AfCv::MatToArray | ( | const cv::Mat & | input,
|  | af::array & | output
| ) |  |
| static private

Matrix to array.

Hmetal T, 07.03.2017.

Parameters

  input | The input.
  output | [in,out] The output.
  transpose | (Optional) true to transpose.

The documentation for this class was generated from the following file:

- FgAfCv.h